/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

.CategoryProductList {
    @include after-mobile {
        min-height: 100vh;
        padding-bottom: 2rem;
        top: -56px;
        grid-column: 2;
    }

    &-Page {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-auto-rows: max-content;
        grid-column-gap: 1rem;

        @include tablet {
            grid-template-columns: repeat(3, 1fr);
        }

        @include mobile {
            border: 0;
            grid-template-columns: 1fr 1fr;
        }

        @include after-mobile {
            margin-top: 1rem;
            grid-column: 2;
        }

        // remove margin from top to other pages
        ~ .CategoryProductList-Page {
            @include after-mobile {
                margin-top: 0;
            }
        }
    }

    &-ProductsMissing {
        padding: 1rem;
        text-align: center;
    }

    &-More {
        min-height: 3rem;
    }

    &-LoadButton {
        padding: 1em 0;
        margin-bottom: 1rem;
        background-color: var(--category-product-list-load-button-background);
        font-size: 13pt;
        text-align: center;
        cursor: pointer;
    }
}
